<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Automate cellulaire: Référence du fichier src/image.c</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Automate cellulaire
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Fonctions</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier image.c</div>  </div>
</div><!--header-->
<div class="contents">

<p>Bibliotheque de création d'image PGM.  
<a href="#details">Plus de détails...</a></p>
<div class="textblock"><code>#include &quot;image.h&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Graphe des dépendances par inclusion de image.c:</div>
<div class="dyncontent">
<div class="center"><img src="image_8c__incl.png" border="0" usemap="#src_2image_8c" alt=""/></div>
<map name="src_2image_8c" id="src_2image_8c">
<area shape="rect" title="Bibliotheque de création d&#39;image PGM." alt="" coords="5,5,96,32"/>
<area shape="rect" title=" " alt="" coords="17,80,85,107"/>
</map>
</div>
</div>
<p><a href="image_8c_source.html">Aller au code source de ce fichier.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:af3ac482597fe1d1d8fdad40e3119b896"><td class="memItemLeft" align="right" valign="top">FILE *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="image_8c.html#af3ac482597fe1d1d8fdad40e3119b896">creer_image</a> (ptr_str_fc f_config)</td></tr>
<tr class="memdesc:af3ac482597fe1d1d8fdad40e3119b896"><td class="mdescLeft">&#160;</td><td class="mdescRight">Crée un fichier image au format (.pgm) ainsi qu'un pointeur de fichier.  <a href="image_8c.html#af3ac482597fe1d1d8fdad40e3119b896">Plus de détails...</a><br /></td></tr>
<tr class="separator:af3ac482597fe1d1d8fdad40e3119b896"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1251ec097153c17cdf6ef77b20e7eceb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="image_8c.html#a1251ec097153c17cdf6ef77b20e7eceb">ecrire_entete_image</a> (FILE *fichier, ptr_str_fc f_config)</td></tr>
<tr class="memdesc:a1251ec097153c17cdf6ef77b20e7eceb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ecrit dans l'en-tête de l'image passé en paramètres les éléments définit au préalable dans le fichier de configuration.  <a href="image_8c.html#a1251ec097153c17cdf6ef77b20e7eceb">Plus de détails...</a><br /></td></tr>
<tr class="separator:a1251ec097153c17cdf6ef77b20e7eceb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9aac53703bab191011d8c1b8ec52b630"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="image_8c.html#a9aac53703bab191011d8c1b8ec52b630">ecrire_donnees_image_ascii</a> (FILE *fichier, ptr_str_fc f_config, int ***tableau)</td></tr>
<tr class="memdesc:a9aac53703bab191011d8c1b8ec52b630"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ecrit les données d'une image PGM dans un format ASCII (nombre magique P2).  <a href="image_8c.html#a9aac53703bab191011d8c1b8ec52b630">Plus de détails...</a><br /></td></tr>
<tr class="separator:a9aac53703bab191011d8c1b8ec52b630"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15ea0f80adae8f83b853c427a2254ae8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="image_8c.html#a15ea0f80adae8f83b853c427a2254ae8">ecrire_donnees_image_binaire</a> (FILE *fichier, ptr_str_fc f_config, int ***tableau)</td></tr>
<tr class="memdesc:a15ea0f80adae8f83b853c427a2254ae8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ecrit les données d'une image PGM dans un format binaire (nombre magique P5)  <a href="image_8c.html#a15ea0f80adae8f83b853c427a2254ae8">Plus de détails...</a><br /></td></tr>
<tr class="separator:a15ea0f80adae8f83b853c427a2254ae8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Bibliotheque de création d'image PGM. </p>
<dl class="section author"><dt>Auteur</dt><dd>Arnaud Orlay (<a href="#" onclick="location.href='mai'+'lto:'+'arn'+'au'+'d.o'+'rl'+'ay@'+'et'+'u.u'+'ni'+'v-o'+'rl'+'ean'+'s.'+'fr'; return false;">arnau<span style="display: none;">.nosp@m.</span>d.or<span style="display: none;">.nosp@m.</span>lay@e<span style="display: none;">.nosp@m.</span>tu.u<span style="display: none;">.nosp@m.</span>niv-o<span style="display: none;">.nosp@m.</span>rlea<span style="display: none;">.nosp@m.</span>ns.fr</a>) </dd>
<dd>
Nicolas Zhou (<a href="#" onclick="location.href='mai'+'lto:'+'nic'+'ol'+'as.'+'zh'+'ou@'+'et'+'u.u'+'ni'+'v-o'+'rl'+'ean'+'s.'+'fr'; return false;">nicol<span style="display: none;">.nosp@m.</span>as.z<span style="display: none;">.nosp@m.</span>hou@e<span style="display: none;">.nosp@m.</span>tu.u<span style="display: none;">.nosp@m.</span>niv-o<span style="display: none;">.nosp@m.</span>rlea<span style="display: none;">.nosp@m.</span>ns.fr</a>) </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>2019-09-26</dd></dl>
<dl class="section copyright"><dt>Copyright</dt><dd>Copyright (c) 2019 </dd></dl>

<p class="definition">Définition dans le fichier <a class="el" href="image_8c_source.html">image.c</a>.</p>
</div><h2 class="groupheader">Documentation des fonctions</h2>
<a id="af3ac482597fe1d1d8fdad40e3119b896"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3ac482597fe1d1d8fdad40e3119b896">&#9670;&nbsp;</a></span>creer_image()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">FILE* creer_image </td>
          <td>(</td>
          <td class="paramtype">ptr_str_fc&#160;</td>
          <td class="paramname"><em>f_config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Crée un fichier image au format (.pgm) ainsi qu'un pointeur de fichier. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">f_config</td><td>Un pointeur sur un pointeur de structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a>. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>FILE* Le fichier image à traiter. </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="image_8c_source.html#l00025">25</a> du fichier <a class="el" href="image_8c_source.html">image.c</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="image_8c_af3ac482597fe1d1d8fdad40e3119b896_cgraph.png" border="0" usemap="#image_8c_af3ac482597fe1d1d8fdad40e3119b896_cgraph" alt=""/></div>
<map name="image_8c_af3ac482597fe1d1d8fdad40e3119b896_cgraph" id="image_8c_af3ac482597fe1d1d8fdad40e3119b896_cgraph">
<area shape="rect" title="Crée un fichier image au format (.pgm) ainsi qu&#39;un pointeur de fichier." alt="" coords="5,31,99,57"/>
<area shape="rect" href="fichier__configuration_8c.html#a0747aaffe60671eda2ba956722a8c191" title="Retourne l&#39;attribut &quot;enregistrer_image&quot;." alt="" coords="147,5,297,32"/>
<area shape="rect" href="fichier__configuration_8c.html#ae0ce5e18cc06c038b2ae5ab594e5e9e7" title="Retourne l&#39;attribut &quot;regle&quot;." alt="" coords="185,56,259,83"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="image_8c_af3ac482597fe1d1d8fdad40e3119b896_icgraph.png" border="0" usemap="#image_8c_af3ac482597fe1d1d8fdad40e3119b896_icgraph" alt=""/></div>
<map name="image_8c_af3ac482597fe1d1d8fdad40e3119b896_icgraph" id="image_8c_af3ac482597fe1d1d8fdad40e3119b896_icgraph">
<area shape="rect" title="Crée un fichier image au format (.pgm) ainsi qu&#39;un pointeur de fichier." alt="" coords="321,5,415,32"/>
<area shape="rect" href="automate_8c.html#a320cea72ddfeeb38cef103fff39e31b4" title="Crée une mage PGM, stock le résultat de l&#39;automate et enregistre l&#39;image." alt="" coords="104,5,273,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
<a id="a9aac53703bab191011d8c1b8ec52b630"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9aac53703bab191011d8c1b8ec52b630">&#9670;&nbsp;</a></span>ecrire_donnees_image_ascii()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ecrire_donnees_image_ascii </td>
          <td>(</td>
          <td class="paramtype">FILE *&#160;</td>
          <td class="paramname"><em>fichier</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ptr_str_fc&#160;</td>
          <td class="paramname"><em>f_config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int ***&#160;</td>
          <td class="paramname"><em>tableau</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Ecrit les données d'une image PGM dans un format ASCII (nombre magique P2). </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">fichier</td><td>L'image que l'ont souhaite obtenir. </td></tr>
    <tr><td class="paramname">f_config</td><td>Un pointeur sur un pointeur de structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a>. </td></tr>
    <tr><td class="paramname">tableau</td><td>Les données de l'image. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="image_8c_source.html#l00084">84</a> du fichier <a class="el" href="image_8c_source.html">image.c</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="image_8c_a9aac53703bab191011d8c1b8ec52b630_cgraph.png" border="0" usemap="#image_8c_a9aac53703bab191011d8c1b8ec52b630_cgraph" alt=""/></div>
<map name="image_8c_a9aac53703bab191011d8c1b8ec52b630_cgraph" id="image_8c_a9aac53703bab191011d8c1b8ec52b630_cgraph">
<area shape="rect" title="Ecrit les données d&#39;une image PGM dans un format ASCII (nombre magique P2)." alt="" coords="5,23,157,65"/>
<area shape="rect" href="fichier__configuration_8c.html#afc113bc5216673e023757de45be2e009" title="Retourne l&#39;attribut &quot;hauteur&quot;." alt="" coords="205,5,296,32"/>
<area shape="rect" href="fichier__configuration_8c.html#a1b660f6a0cca911778798dfe26976cdd" title="Retourne l&#39;attribut &quot;largeur&quot;." alt="" coords="207,56,294,83"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="image_8c_a9aac53703bab191011d8c1b8ec52b630_icgraph.png" border="0" usemap="#image_8c_a9aac53703bab191011d8c1b8ec52b630_icgraph" alt=""/></div>
<map name="image_8c_a9aac53703bab191011d8c1b8ec52b630_icgraph" id="image_8c_a9aac53703bab191011d8c1b8ec52b630_icgraph">
<area shape="rect" title="Ecrit les données d&#39;une image PGM dans un format ASCII (nombre magique P2)." alt="" coords="321,5,473,47"/>
<area shape="rect" href="automate_8c.html#a320cea72ddfeeb38cef103fff39e31b4" title="Crée une mage PGM, stock le résultat de l&#39;automate et enregistre l&#39;image." alt="" coords="104,13,273,39"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,13,56,39"/>
</map>
</div>

</div>
</div>
<a id="a15ea0f80adae8f83b853c427a2254ae8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15ea0f80adae8f83b853c427a2254ae8">&#9670;&nbsp;</a></span>ecrire_donnees_image_binaire()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ecrire_donnees_image_binaire </td>
          <td>(</td>
          <td class="paramtype">FILE *&#160;</td>
          <td class="paramname"><em>fichier</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ptr_str_fc&#160;</td>
          <td class="paramname"><em>f_config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int ***&#160;</td>
          <td class="paramname"><em>tableau</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Ecrit les données d'une image PGM dans un format binaire (nombre magique P5) </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">fichier</td><td>L'image que l'ont souhaite obtenir. </td></tr>
    <tr><td class="paramname">f_config</td><td>Un pointeur sur un pointeur de structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a>. </td></tr>
    <tr><td class="paramname">tableau</td><td>Les données de l'image. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="image_8c_source.html#l00101">101</a> du fichier <a class="el" href="image_8c_source.html">image.c</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="image_8c_a15ea0f80adae8f83b853c427a2254ae8_cgraph.png" border="0" usemap="#image_8c_a15ea0f80adae8f83b853c427a2254ae8_cgraph" alt=""/></div>
<map name="image_8c_a15ea0f80adae8f83b853c427a2254ae8_cgraph" id="image_8c_a15ea0f80adae8f83b853c427a2254ae8_cgraph">
<area shape="rect" title="Ecrit les données d&#39;une image PGM dans un format binaire (nombre magique P5)" alt="" coords="5,49,157,90"/>
<area shape="rect" href="fichier__configuration_8c.html#afc113bc5216673e023757de45be2e009" title="Retourne l&#39;attribut &quot;hauteur&quot;." alt="" coords="205,5,296,32"/>
<area shape="rect" href="fichier__configuration_8c.html#a1b660f6a0cca911778798dfe26976cdd" title="Retourne l&#39;attribut &quot;largeur&quot;." alt="" coords="207,56,294,83"/>
<area shape="rect" href="fichier__configuration_8c.html#afef69ee54144409041ea66d6e1185312" title="Retourne l&#39;attribut &quot;nb_etat&quot;." alt="" coords="205,107,296,133"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="image_8c_a15ea0f80adae8f83b853c427a2254ae8_icgraph.png" border="0" usemap="#image_8c_a15ea0f80adae8f83b853c427a2254ae8_icgraph" alt=""/></div>
<map name="image_8c_a15ea0f80adae8f83b853c427a2254ae8_icgraph" id="image_8c_a15ea0f80adae8f83b853c427a2254ae8_icgraph">
<area shape="rect" title="Ecrit les données d&#39;une image PGM dans un format binaire (nombre magique P5)" alt="" coords="321,5,473,47"/>
<area shape="rect" href="automate_8c.html#a320cea72ddfeeb38cef103fff39e31b4" title="Crée une mage PGM, stock le résultat de l&#39;automate et enregistre l&#39;image." alt="" coords="104,13,273,39"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,13,56,39"/>
</map>
</div>

</div>
</div>
<a id="a1251ec097153c17cdf6ef77b20e7eceb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1251ec097153c17cdf6ef77b20e7eceb">&#9670;&nbsp;</a></span>ecrire_entete_image()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ecrire_entete_image </td>
          <td>(</td>
          <td class="paramtype">FILE *&#160;</td>
          <td class="paramname"><em>fichier</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ptr_str_fc&#160;</td>
          <td class="paramname"><em>f_config</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Ecrit dans l'en-tête de l'image passé en paramètres les éléments définit au préalable dans le fichier de configuration. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">fichier</td><td>L'image que l'ont souhaite obtenir. </td></tr>
    <tr><td class="paramname">f_config</td><td>Un pointeur sur un pointeur de structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a>. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="image_8c_source.html#l00058">58</a> du fichier <a class="el" href="image_8c_source.html">image.c</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="image_8c_a1251ec097153c17cdf6ef77b20e7eceb_cgraph.png" border="0" usemap="#image_8c_a1251ec097153c17cdf6ef77b20e7eceb_cgraph" alt=""/></div>
<map name="image_8c_a1251ec097153c17cdf6ef77b20e7eceb_cgraph" id="image_8c_a1251ec097153c17cdf6ef77b20e7eceb_cgraph">
<area shape="rect" title="Ecrit dans l&#39;en&#45;tête de l&#39;image passé en paramètres les éléments définit au préalable dans le fichier..." alt="" coords="5,107,144,133"/>
<area shape="rect" href="fichier__configuration_8c.html#afc113bc5216673e023757de45be2e009" title="Retourne l&#39;attribut &quot;hauteur&quot;." alt="" coords="205,5,296,32"/>
<area shape="rect" href="fichier__configuration_8c.html#a1b660f6a0cca911778798dfe26976cdd" title="Retourne l&#39;attribut &quot;largeur&quot;." alt="" coords="207,56,294,83"/>
<area shape="rect" href="fichier__configuration_8c.html#afef69ee54144409041ea66d6e1185312" title="Retourne l&#39;attribut &quot;nb_etat&quot;." alt="" coords="205,107,296,133"/>
<area shape="rect" href="fichier__configuration_8c.html#af66f6107d4b7f6e4de23bd6f697ccaf8" title="Retourne l&#39;attribut &quot;nb_magique&quot;." alt="" coords="192,157,309,184"/>
<area shape="rect" href="fichier__configuration_8c.html#ae0ce5e18cc06c038b2ae5ab594e5e9e7" title="Retourne l&#39;attribut &quot;regle&quot;." alt="" coords="213,208,288,235"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="image_8c_a1251ec097153c17cdf6ef77b20e7eceb_icgraph.png" border="0" usemap="#image_8c_a1251ec097153c17cdf6ef77b20e7eceb_icgraph" alt=""/></div>
<map name="image_8c_a1251ec097153c17cdf6ef77b20e7eceb_icgraph" id="image_8c_a1251ec097153c17cdf6ef77b20e7eceb_icgraph">
<area shape="rect" title="Ecrit dans l&#39;en&#45;tête de l&#39;image passé en paramètres les éléments définit au préalable dans le fichier..." alt="" coords="321,5,460,32"/>
<area shape="rect" href="automate_8c.html#a320cea72ddfeeb38cef103fff39e31b4" title="Crée une mage PGM, stock le résultat de l&#39;automate et enregistre l&#39;image." alt="" coords="104,5,273,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
